package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 课程大纲指标与知识点关联表
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-06-07
 */
@ApiModel(value="ObeCourseRequirementDimension对象", description="课程大纲指标与知识点关联表")
public class ObeCourseRequirementDimension extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "课程大纲id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long obeCourseOutlineId;

    @ApiModelProperty(value = "指标id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long obeCultureProgramRequirementId;

    @ApiModelProperty(value = "知识点id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long obeCourseDimensionId;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    public Long getObeCourseOutlineId() {
        return obeCourseOutlineId;
    }

    public void setObeCourseOutlineId(Long obeCourseOutlineId) {
        this.obeCourseOutlineId = obeCourseOutlineId;
    }

    public Long getObeCultureProgramRequirementId() {
        return obeCultureProgramRequirementId;
    }

    public void setObeCultureProgramRequirementId(Long obeCultureProgramRequirementId) {
        this.obeCultureProgramRequirementId = obeCultureProgramRequirementId;
    }

    public Long getObeCourseDimensionId() {
        return obeCourseDimensionId;
    }

    public void setObeCourseDimensionId(Long obeCourseDimensionId) {
        this.obeCourseDimensionId = obeCourseDimensionId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }
}
